package com.server.alb.models

import jakarta.persistence.*

@Entity
@Table(name = "platforms")
class Platform {
    @Id
    @Column(name = "platform_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    var id: Long = 0
    var name: String = ""

    @OneToMany(mappedBy = "platform", cascade = [CascadeType.ALL], orphanRemoval = true)
    var platform: List<ListBug> = mutableListOf()

    @ManyToOne
    @JoinColumn(name = "project", referencedColumnName = "project_id", foreignKey = ForeignKey(name = "FK_plaPro"))
    var project: Project? = null
}