package com.server.alb.models

import jakarta.persistence.*
import jakarta.validation.constraints.NotEmpty

@Entity
@Table(name = "projects")
class Project
 {
    @Id
    @Column(name = "project_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    var id: Long = 0

    @NotEmpty(message = "Project Name tidak boleh kosong")
    var name: String? = null

    @NotEmpty(message = "Project Description tidak boleh kosong")
    var description: String? = null

    @OneToMany(mappedBy = "project", cascade = [CascadeType.ALL], orphanRemoval = true)
    var project: List<Platform> = mutableListOf()

    override fun toString(): String {
        return ("Project [id=$id,name=$name, description=$description]")
    }
}