package com.server.alb.repositories

import com.server.alb.models.ListBug
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query

interface ListBugRepository : JpaRepository<ListBug, Long> {

    @Query("SELECT b.* FROM list_bug b WHERE (b.dev_stat = 'FALSE' AND b.work_stat = 'FALSE') AND platform LIKE %?1% AND pro_id LIKE %?2% AND platform IN (SELECT platform_id FROM platforms WHERE project = ?3)", nativeQuery = true)
    fun inPro(pForm: String?, programmer: String?, project: String?): MutableList<ListBug>

    @Query("SELECT b.* FROM list_bug b WHERE (b.dev_stat <> 'FALSE' OR b.work_stat <> 'FALSE') AND platform LIKE %?1% AND pro_id LIKE %?2% AND platform IN (SELECT platform_id FROM platforms WHERE project = ?3)", nativeQuery = true)
    fun done(pForm: String?, programmer: String?, project: String?): MutableList<ListBug>
}