package com.server.alb.repositories

import com.server.alb.models.User
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import java.util.*

interface UserRepository : JpaRepository<User, Long> {

    @Query("SELECT u FROM User u WHERE u.username = :username")
    fun getUserByUsername(username: String): User

    fun findByUsername(username: String): Optional<User>

}