package com.server.alb.services

import com.server.alb.models.User
import com.server.alb.repositories.UserRepository
import org.springframework.security.crypto.password.PasswordEncoder
import org.springframework.stereotype.Service


@Service
class UserService(private val userRepository: UserRepository, private val passwordEncoder: PasswordEncoder) {

    fun save(user: User?) {
        userRepository.save(user!!)
    }

    operator fun get(id: Long?): User {
        return userRepository.findById(id!!).get()
    }

    fun delete(id: User) {
        id.roles = setOf()
        userRepository.delete(id)
    }

    fun checkIfValidOldPassword(oldPassword: String?, newPassword: String?): Boolean {
        return passwordEncoder.matches(oldPassword, newPassword)
    }

}